> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# List prepared messages for a group
> Returns all of the prepared messages for a specific group.
## OpenAPI
````json GET /group/getPreparedMessages
{
"openapi": "3.0.4",
"info": {
"title": "Engage public API",
"version": "1"
},
"servers": [
{
"url": "https://your-engage-domain.com/api/rest"
}
],
"tags": [
{
"name": "Address Attributes"
},
{
"name": "Async"
},
{
"name": "Audit Log"
},
{
"name": "Automation"
},
{
"name": "Blacklist"
},
{
"name": "CMS"
},
{
"name": "Contact"
},
{
"name": "Content"
},
{
"name": "Coupon"
},
{
"name": "Draft Message"
},
{
"name": "Ecommerce"
},
{
"name": "Group"
},
{
"name": "Group Attributes"
},
{
"name": "Landing Page"
},
{
"name": "Member Attributes"
},
{
"name": "Membership"
},
{
"name": "Message"
},
{
"name": "Meta"
},
{
"name": "Mobile Push"
},
{
"name": "Prepared Message"
},
{
"name": "Process"
},
{
"name": "Profile Attributes"
},
{
"name": "Related Data"
},
{
"name": "Segmentation"
},
{
"name": "System"
},
{
"name": "System User"
},
{
"name": "Usage Statistics"
},
{
"name": "User"
},
{
"name": "Whiteboard"
}
],
"paths": {
"/group/getPreparedMessages": {
"get": {
"tags": [
"Group"
],
"summary": "List prepared messages for a group",
"description": "Returns all of the prepared messages for a specific group.",
"operationId": "getPreparedMessages",
"parameters": [
{
"name": "groupId",
"in": "query",
"description": "ID of the group for which we request the messages",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
}
}
],
"responses": {
"200": {
"description": "Example response:
[1800197358]",
"content": {
"application/octet-stream": {
"schema": {
"type": "array",
"items": {
"type": "object"
}
}
}
}
},
"400": {
"description": "Required parameters are missing or incorrect. Error response: {
\"errorActor\": \"CLIENT\",
\"errorCode\": \"PERMISSION_DENIED\",
\"message\": \"Permission 'message_view' denied: SystemUser '1' on group '803725555'.\",
\"errorId\": null
}",
"content": {
"application/octet-stream": {}
}
},
"404": {
"description": "Error response: {
\"errorActor\": \"CLIENT\",
\"errorCode\": \"INVALID_REQUEST\",
\"message\": \"Not Found\"
}",
"content": {
"application/octet-stream": {}
}
}
}
}
}
}
}
````